Package htsjdk.tribble.index.tabix

# Class AllRefsTabixIndexCreator

java.lang.Object
htsjdk.tribble.index.tabix.AllRefsTabixIndexCreator

All Implemented Interfaces:
  `IndexCreator`

Direct Known Subclasses:
  `StreamBasedTabixIndexCreator`

public class AllRefsTabixIndexCreator extends Object implements IndexCreator
This is a copy of `TabixIndexCreator`, except sequence names are populated from the header, not from the ones that are seen. This change is needed to support index merging.

## Constructor Summary

Constructors
Constructor
Description
`AllRefsTabixIndexCreator(SAMSequenceDictionary sequenceDictionary, TabixFormat formatSpec)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFeature(Feature feature, long filePosition)`
Add a feature to the index
`Index`
`finalizeIndex(long finalFilePosition)`
Create the index, given the stream of features passed in to this point

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.tribble.index.IndexCreator

`setIndexSequenceDictionary`

## Constructor Details

### AllRefsTabixIndexCreator

public AllRefsTabixIndexCreator(SAMSequenceDictionary sequenceDictionary, TabixFormat formatSpec)

## Method Details

### addFeature

public void addFeature(Feature feature, long filePosition)
Description copied from interface: `IndexCreator`
Add a feature to the index

Specified by:
  `addFeature` in interface `IndexCreator`
Parameters:
  `feature` - the feature, of which start, end, and contig must be filled in
  `filePosition` - the current file position, at the beginning of the specified feature

### finalizeIndex

public Index finalizeIndex(long finalFilePosition)
Description copied from interface: `IndexCreator`
Create the index, given the stream of features passed in to this point

Specified by:
  `finalizeIndex` in interface `IndexCreator`
Parameters:
  `finalFilePosition` - the final file position, for indexes that have to close out with the final position
Returns:
  an index object